%define tarball xf86-input-tek4957
# All packages should own all dirs they lead up to, for saner
# rpm packaging, in particular if the leading dirs are not owned by
# the "filesystem" package.
%define moduledir %(pkg-config xorg-server --variable=moduledir )
# define driverdir to the appropriate type for this driver class
%define driverdir	%{moduledir}/input

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 tek4957 input driver
Name:      	xorg-x11-drv-tek4957
Version: 	1.2.0
Release: 	1
URL:       	http://www.x.org
Source0:   	http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

ExclusiveArch: 	%{ix86} x86_64 ia64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-input-tek4957

%description 
X.Org X11 tek4957 input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -regex ".*.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/*.so
%{_mandir}/man4/tek4957.4*

%changelog
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.2.0-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-3
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- rebuilt against X.org 7.2
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- Initial release
